Summary: Image display, conversion, and manipulation under X
Name: ImageMagick
Version: 5.1.0
Release: 2
Group: X11/Applications/Graphics
Copyright: Freeware
Url: http://www.wizards.dupont.com/cristy/ImageMagick.html
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.wizards.dupont.com/pub/ImageMagick/ImageMagick-%{version}.tar.gz
Source1: ftp://ftp.wizards.dupont.com/pub/ImageMagick/ImageMagick.pdf
Buildroot: /var/tmp/%{name}-root

%description
ImageMagick is an image display, conversion, and manipulation tool.
It runs under X windows.  It is very powerful in terms of it's 
ability to allow the user to edit images.  It can handle many 
different formats as well.


%package devel
Summary: static libraries and header files for ImageMagick development
Group: X11/Libraries
Requires: %{name} = %{version}

%description devel
This is the ImageMagick development package.  It includes the static
libraries and header files for use in developing your own applications
that make use of the ImageMagick code and/or APIs.


%package -n PerlMagick
Summary: an objected-oriented Perl interface to ImageMagick
Group: Development/Libraries/Perl
Url: http://www.wizards.dupont.com/cristy/www/perl.html
Requires: %{name} = %{version}

%description -n PerlMagick
PerlMagick is an objected-oriented Perl interface to ImageMagick. Use the
module to read, manipulate, or write an image or image sequence from within
a Perl script. This makes it very suitable for Web CGI scripts.


%prep
%setup -q
for i in `find PerlMagick -type f`; do
	fgrep -qs /usr/local/bin/perl $i && \
	perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|g' $i
done


%build
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --enable-shared --enable-lzw
$MAKE


%install
rm -rf $RPM_BUILD_ROOT

# In non-beta 5.1.0 PerlMagick is built not at "make" but at "make install"
# via target "install-exec-local" which calls "install-exec-perl".
# We now override this by hand so we can specify DESTDIR.
cd PerlMagick
perl Makefile.PL
make
make pure_install \
	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/man/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/5.00503/man/man3
perl -pi -e "s|^$RPM_BUILD_ROOT||" `find $RPM_BUILD_ROOT -name .packlist`
cd ..

# Disable future "make install-exec-perl"
perl -pi -e 's|^install-exec-local: install-exec-perl$|install-exec-local:|' \
	Makefile

# Then install the rest
make install-strip DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*

# For %doc section
ln -sf ImageMagick.html index.html
install -p -m644 %{SOURCE1} .


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ImageMagick.pdf *.txt index.html ImageMagick.html www images
/usr/bin/*
/usr/lib/libMagick.so.*
/usr/man/man*/*
/usr/share/ImageMagick

%files devel
%defattr(-,root,root)
/usr/include/magick
/usr/lib/libMagick.a
/usr/lib/libMagick.la
/usr/lib/libMagick.so

%files -n PerlMagick
%defattr(-,root,root)
%doc PerlMagick/Changelog PerlMagick/README.txt PerlMagick/demo
/usr/lib/perl5/5.00503/man/man3/*
/usr/lib/perl5/site_perl/5.005/i386-linux/Image
/usr/lib/perl5/site_perl/5.005/i386-linux/auto/Image


%clean
rm -rf $RPM_BUILD_ROOT
